Download it now!
Bug 134610 - FILEOPEN: DOCX: Incorrect position of math object
Summary: FILEOPEN: DOCX: Incorrect position of math object
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.1.0 target:7.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-07-07 11:28 UTC by Xisco Faulí
Modified: 2020-07-30 09:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Comparison MSO 2010 and LibreOffice 7.1 master (172.39 KB, image/png)
2020-07-07 11:28 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-07-07 11:28:15 UTC
Created attachment 162752 [details]
Comparison MSO 2010 and LibreOffice 7.1 master

Steps to reproduce:
1. Open attachment 60703 [details] from bug 49228

-> the math object is position to the left of the page, it should be around the center of the page. See comparison image

Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 9af38b4504ccda57a0c32eb8bdd03e5a8ca29ddc
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2020-07-07 11:29:33 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=a2f85c062aafb3fd9dfb1c6c6e87e1e73e7545a3

author	Miklos Vajna <vmiklos@collabora.com>	2020-02-04 14:33:37 +0100
committer	Miklos Vajna <vmiklos@collabora.com>	2020-02-04 16:08:07 +0100
commit	a2f85c062aafb3fd9dfb1c6c6e87e1e73e7545a3 (patch)
tree	282f68919f0fbc79e9fec63e83540ecc2fbaf970
parent	7ffd38fc54dda2d2c84eab19c40efcbac7fb0bff (diff)
tdf#130362 sw: fix anchoring of inline math objects

Bisected with: bibisect-linux64-7.0

Adding Cc: to Miklos Vajna
Comment 2 Commit Notification 2020-07-27 19:53:34 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/383f39493c0ca3e11c296fa37e7d9cf679065f74

tdf#134610 sw: fix incorrect position of math object from DOCX

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2020-07-30 09:42:29 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 231e1e416c039d1f9724962a89cf0573a3db48a2
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!!
Comment 4 Commit Notification 2020-07-30 09:45:19 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/4682675b735bc8c0b693b422f0cf43743956f834

tdf#134610 sw: fix incorrect position of math object from DOCX

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.